#include <iostream>

using namespace std;

int main()
{
    int a;
    cin>>a;
    string unos;
    if(a==1)
    {
        cout<<3<<endl;
        unos+="0 0";
        unos+='\n';
        unos+="0 1";
        unos+='\n';
        unos+="0 2";
        cout<<unos;
        unos+='\n';
    }
    if(a==2)
    {
        cout<<5<<endl;
        unos+="1 2";
        unos+='\n';
        unos+="2 2";
        cout<<unos;
        unos+='\n';
    }
    if(a==3)
    {
        cout<<6<<endl;
        unos+="1 1";
        cout<<unos;
        unos+='\n';
    }
    if(a==4)
    {
        cout<<7<<endl;
        unos+="2 1";
        cout<<unos;
        unos+='\n';
    }
    if(a==5)
    {
        cout<<8<<endl;
        cout<<unos;
        cout<<"1 0";
    }
    if(a==6)
    {
        cout<<8<<endl;
        unos+="2 0";
        cout<<unos;
        unos+='\n';
    }
    if(a==7) cout<<7;
    if(a==8)
    {
        cout<<9<<endl;
        unos+="1 0";
        cout<<unos;
        unos+='\n';
    }
    else cout<<7;